import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_o_a_labour_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_o_a_labour_table_entity.g.dart';

@JsonSerializable()
class THOALabourTableEntity {
	int total = 0;
	List<THOALabourTableRows> rows = [];
	@JSONField(name: "tot_num")
	int totNum = 0;

	THOALabourTableEntity();

	factory THOALabourTableEntity.fromJson(Map<String, dynamic> json) => $THOALabourTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $THOALabourTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THOALabourTableRows {
	String? id;
	@JSONField(name: "source_show")
	String? sourceShow;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	int? status;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "approve_by")
	String? approveBy;
	@JSONField(name: "hiring_num")
	int? hiringNum;
	@JSONField(name: "is_ot")
	int? isOt;
	@JSONField(name: "pre_num")
	int? preNum;
	@JSONField(name: "att_num")
	int? attNum;
	@JSONField(name: "last_operator")
	String? lastOperator;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "position_name")
	String? positionName;

	THOALabourTableRows();

	factory THOALabourTableRows.fromJson(Map<String, dynamic> json) => $THOALabourTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $THOALabourTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}